com.sun.grid.security.login

## Class GECAKeyManager

- java.lang.Object
- - com.sun.grid.security.login.GECAKeyManager

- All Implemented Interfaces:
    javax.net.ssl.KeyManager, javax.net.ssl.X509KeyManager

      public class GECAKeyManager
      extends java.lang.Object
      implements javax.net.ssl.X509KeyManager

  The GECAKeyManager handles the specific KeyManager properties of a Grid Engine CSP system

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GECAKeyManager()`
    `GECAKeyManager(java.io.File serverKeystore, char[] pw)` Creates a new instance of GECAKeyManager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `chooseClientAlias(java.lang.String[] keyType, java.security.Principal[] arg1, java.net.Socket arg2)`
    `java.lang.String` | `chooseServerAlias(java.lang.String arg0, java.security.Principal[] arg1, java.net.Socket arg2)`
    `java.security.cert.X509Certificate[]` | `getCertificateChain(java.lang.String arg0)`
    `java.lang.String[]` | `getClientAliases(java.lang.String arg0, java.security.Principal[] arg1)`
    `java.security.PrivateKey` | `getPrivateKey(java.lang.String arg0)`
    `java.lang.String[]` | `getServerAliases(java.lang.String arg0, java.security.Principal[] arg1)`
    `void` | `reset()`
    `void` | `setKeystore(java.io.File serverKeystore, char[] pw)`
    `void` | `setKeystore(java.security.KeyStore serverKeystore, char[] pw)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GECAKeyManager

          public GECAKeyManager()

    - #### GECAKeyManager

          public GECAKeyManager(java.io.File serverKeystore,
                                char[] pw)
                         throws java.lang.SecurityException

      Creates a new instance of GECAKeyManager.
      Parameters:
        `serverKeystore` - keystore file of the daemon
        `pw` - keystore password
      Throws:
        `java.lang.SecurityException`

  - ### Method Detail

    - #### setKeystore

          public void setKeystore(java.security.KeyStore serverKeystore,
                                  char[] pw)
                           throws java.lang.SecurityException

      Throws:
        `java.lang.SecurityException`

    - #### setKeystore

          public void setKeystore(java.io.File serverKeystore,
                                  char[] pw)
                           throws java.lang.SecurityException

      Throws:
        `java.lang.SecurityException`

    - #### reset

          public void reset()

    - #### getClientAliases

          public java.lang.String[] getClientAliases(java.lang.String arg0,
                                                     java.security.Principal[] arg1)

      Specified by:
        `getClientAliases` in interface `javax.net.ssl.X509KeyManager`

    - #### chooseClientAlias

          public java.lang.String chooseClientAlias(java.lang.String[] keyType,
                                                    java.security.Principal[] arg1,
                                                    java.net.Socket arg2)

      Specified by:
        `chooseClientAlias` in interface `javax.net.ssl.X509KeyManager`

    - #### getServerAliases

          public java.lang.String[] getServerAliases(java.lang.String arg0,
                                                     java.security.Principal[] arg1)

      Specified by:
        `getServerAliases` in interface `javax.net.ssl.X509KeyManager`

    - #### chooseServerAlias

          public java.lang.String chooseServerAlias(java.lang.String arg0,
                                                    java.security.Principal[] arg1,
                                                    java.net.Socket arg2)

      Specified by:
        `chooseServerAlias` in interface `javax.net.ssl.X509KeyManager`

    - #### getCertificateChain

          public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String arg0)

      Specified by:
        `getCertificateChain` in interface `javax.net.ssl.X509KeyManager`

    - #### getPrivateKey

          public java.security.PrivateKey getPrivateKey(java.lang.String arg0)

      Specified by:
        `getPrivateKey` in interface `javax.net.ssl.X509KeyManager`